Bug 251467 - NetworkManager segfaults when retrieving key
NetworkManager segfaults when retrieving key
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 05:46 EDT by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-29 09:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt from /var/log/messages related to NM segmentation fault (2.02 KB, text/plain)
2007-08-09 05:46 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-08-09 05:46:00 EDT
Description of problem:
After starting NetworkManager/NetworkManagerDispatcher services,
execution of nm-applet makes the network icon appear in the
notification area. There is no connection. After selecting an access
point, for which the key had been previously stored by gnome-keyring,
NetworkManager segfaults.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-8.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Log in to GNOME session.
2. Launch nm-applet.
3. Connect to access point.
  
Actual results:
NetworkManager segfaults leaving the user without a network connection.

Expected results:
NetworkManager connects to the access point.

Additional info:
At the first connection, network was available after entering the
key. It appears that the problem occurs when an already saved
key is retrieved [see attached excerpt from /var/log/messages].
What is also strange is that no icon appears in the notification
area unless nm-applet is executed although NetworkManager services
are running.
Comment 1 Joachim Frieben 2007-08-09 05:46:00 EDT
Created attachment 160959 [details]
Excerpt from /var/log/messages related to NM segmentation fault
Comment 2 Joachim Frieben 2007-08-09 06:03:15 EDT
In addition, there's a related error message in .xsession-errors:

"Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so:
 cannot open shared object file: No such file or directory"

albeit not likely to be responsible of the crash reported above.
Comment 3 Joachim Frieben 2007-09-29 09:47:16 EDT
Fixed in NetworkManager-0.7.0-0.3.svn2914.fc8.

Note You need to log in before you can comment on or make changes to this bug.